public static XmlElement CreateDetachedSignature (AsymmetricAlgorithm signingKey, String uri) {
  // Create the SignedXml message
  SignedXml signedXml = new SignedXml();
  signedXml.SigningKey = signingKey;
  // Create a Reference to point to the to-be-signed content
  Reference reference = new Reference(uri);
  // Add the Reference to the SignedXml message
  signedXml.AddReference(reference);
  // Compute the XML Digital Signature
  signedXml.ComputeSignature();
  // Return the XmlElement containing the XMLDSIG signature
  return signedXml.GetXml();
}
