// This utility function creates an XmlDsigXPathTransform
// from an XPath string like "self::text()". It's necessary
// because XmlDsigXPathTransform doesn't have a constructor that
// takes a String argument, so we have to build it by importing
// an appropriate XmlNodeList!
static Transform CreateXPathTransformFromString(String xpathString) {
    XmlDsigXPathTransform xpathTransform = new XmlDsigXPathTransform();
    // We need a document to create nodes
    XmlDocument document = new XmlDocument();
    document.LoadXml("<XPath xmlns:dsig=\"http://www.w3.org/2000/09/xmldsig#\">"+xpathString+"</XPath>");
    xpathTransform.LoadInnerXml(document.ChildNodes);
    return xpathTransform;
}
